/* 
 * File:   main.c
 * Author: balikm1
 *
 * Created on April 23, 2013, 4:12 PM
 */

#include <stdio.h>
#include <stdlib.h>
#include <time.h>

int* vytvorPole(int n){
    return malloc(n * sizeof(int));
}
void naplnPole0az100(int* pole, int delka) {
    unsigned i;
    for (i=0;i<delka;i++) {
        *(pole++) = rand()%101;
    }
}
void vypisPole(int* pole, int delka) {
    unsigned i;
    for (i=0;i<delka;i++) {
        printf("%d ", *(pole++));
    }
    printf("\n");
}
void sudeNaZacatek(int* pole, int delka) {
    unsigned i;
    int *p1, *p2;
    int tmp;
    
    p1 = pole;
    p2 = pole + (delka - 1);
    if (delka <= 0) {
        return;
    }
    while (p1 < p2) {
        while (p1 < p2 && ((*p1)%2 == 0)) {
            p1++;
        }
        while (p1 < p2 && ((*p2)%2 != 0)) {
            p2--;
        }
        if (p1 < p2) {
            tmp = *p1;
            *p1 = *p2;
            *p2 = tmp;
        }
    }
}
int main(int argc, char** argv) {
    int* pole;
    srand((unsigned)time(NULL));
    if ((pole = vytvorPole(10)) == NULL) {
        printf("Pole se nepodarilo vytvorit");
        return(-1);
    }
    naplnPole0az100(pole, 10);
    vypisPole(pole, 10);
    sudeNaZacatek(pole, 10);
    vypisPole(pole, 10);
    free(pole);
    return (EXIT_SUCCESS);
}

